Skip to main content
Infrastructure/Agents

TriggerUpgrade

Trigger an upgrade operation for a single agent to the specified version

POST/api/v1/agents/{uuid}/lifecycle/upgrade

Operation ID

TriggerUpgrade

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    UUID of the agent to upgrade

Body Fields

  • upgrade
    ObjectRequired

    Upgrade for this resource

    • toVersion
      String

      Target version to upgrade the agent to

      Example: 1.5.0

    • artifactUrl
      String

      URL to download the upgrade artifact from

      Example: https://artifacts.example.com/agent-1.5.0.tar.gz

    • checksum
      String

      SHA256 checksum for verifying the upgrade artifact

      Example: sha256:abc123def456

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • upgradeId
    String

    Unique identifier for tracking the upgrade operation

    Example: upg-001-xyz